Subject: Re: bug#60750: 29.0.60; encode-coding-char fails for utf-8-auto coding system
From: Eli Zaretskii <[email-masked]>
To: Robert Pluim <[email-masked]>
Cc: [email-masked]
Date: Thu, 12 Jan 2023 16:39:07 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Robert Pluim <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 12 Jan 2023 15:28:49 +0100
> 
>     >> I think that means we can leave the code as it is.
> 
>     Eli> ??? "As it is" means this coding-system behaves contrary to
>     Eli> documentation: it should produce BOM on encoding.  Leaving it as is
>     Eli> doesn't sound TRT, so I'd like to have this fixed.  From your
>     Eli> description, it sounds like you bumped into this by mistake, and I see
>     Eli> only one other use of it -- in the test suite.  So I'm inclined to
>     Eli> installing this on the emacs-29 release branch.
> 
> Oh, I thought you were proposing *not* to fix it at all, since itʼs
> such an obscure coding system. I have no opinion on where a fix should
> go: Iʼm not going to be using that coding system again.

OK.  So I've installed the fix on the emacs-29 branch, and I'm boldly
closing this bug.